> This page is for Itential Platform Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Search resource action history documents

GET https://example.itential.io/lifecycle-manager/action-executions

Searches resource action history documents.

Reference: https://docs-test.itntl.com/itential-cloud/api-reference/lifecycle-manager/get-action-executions

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `skip` (string, optional) — This parameter specifies where to start the returned page of search results.
- `limit` (string, optional) — This parameter specifies how many items to return in the search results.
- `sort` (string, optional) — This parameter specifies the field to sort the search results over.
- `order` (enum, optional) — This parameter specifies the direction to sort the search results over.
  - Allowed values: `asc`, `desc`
- `equals` (LifecycleManagerActionExecutionsGetParametersEquals, optional) — equals
- `in` (LifecycleManagerActionExecutionsGetParametersIn, optional) — in
- `starts-with` (LifecycleManagerActionExecutionsGetParametersStartsWith, optional) — starts-with
- `lt` (LifecycleManagerActionExecutionsGetParametersLt, optional) — lt
- `lte` (LifecycleManagerActionExecutionsGetParametersLte, optional) — lte
- `gt` (LifecycleManagerActionExecutionsGetParametersGt, optional) — gt
- `gte` (LifecycleManagerActionExecutionsGetParametersGte, optional) — gte
- `include` (list of string, optional) — include
- `exclude` (list of string, optional) — exclude

## Response

### 200

response

- `data` (list of lifecycle-manager_resource-action-execution-http, optional)
- `metadata` (lifecycle-manager_common-http_pagination-metadata, optional) — Properties describing search result pagination

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### LifecycleManagerActionExecutionsGetParametersEquals

- `_id` (any, optional)
- `modelId` (any, optional)
- `modelName` (string, optional) — The name of the resource model
- `instanceId` (any, optional)
- `instanceName` (string, optional) — The name of the resource instance
- `groupId` (any, optional)
- `groupName` (string, optional) — The name of the document
- `actionId` (any, optional) — The identifier of an action
- `actionName` (string, optional) — The name of the action
- `jobId` (any, optional)
- `executionType` (enum, optional) — The type of execution action
  - Allowed values: `individual`, `parent`, `child`
- `startTime` (string, optional) — An ISO 8601 date string
- `endTime` (string, optional) — An ISO 8601 date string
- `status` (enum, optional) — A single string describing the current activity status of this action
  - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`
- `initiator` (any, optional)
- `parentActionExecutionId` (any, optional)

### LifecycleManagerActionExecutionsGetParametersIn

This parameter specifies a comma-delimited list of values to search for in the given field(s).

- `modelId` (list of any, optional) — A comma-delineated list of model ids to search for
- `gruopId` (list of any, optional) — A comma-delineated list of group ids to search for
- `status` (list of enum, optional) — A comma-delineated list of statuses to search for
  - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`
- `executionType` (list of enum, optional) — A comma-delineated list of execution types to search for
  - Allowed values: `individual`, `parent`, `child`

### LifecycleManagerActionExecutionsGetParametersStartsWith

- `modelName` (string, optional) — The name of the resource model
- `groupName` (string, optional, nullable) — The name of the group the bulk action was run against
- `instanceName` (string, optional) — The name of the resource model
- `actionName` (string, optional) — The name of the action
- `initiatorName` (string, optional)

### LifecycleManagerActionExecutionsGetParametersLt

- `startTime` (string, optional) — The time at which the action was started
- `endTime` (string, optional, nullable) — The time at which the action ended

### LifecycleManagerActionExecutionsGetParametersLte

- `startTime` (string, optional) — The time at which the action was started
- `endTime` (string, optional, nullable) — The time at which the action ended

### LifecycleManagerActionExecutionsGetParametersGt

- `startTime` (string, optional) — The time at which the action was started
- `endTime` (string, optional, nullable) — The time at which the action ended

### LifecycleManagerActionExecutionsGetParametersGte

- `startTime` (string, optional) — The time at which the action was started
- `endTime` (string, optional, nullable) — The time at which the action ended

### lifecycle-manager_resource-action-execution-http

### lifecycle-manager_common-http_pagination-metadata

Properties describing search result pagination

- `skip` (integer, optional)
- `limit` (integer, optional)
- `total` (integer, optional)
- `nextPageSkip` (integer, optional)
- `previousPageSkip` (integer, optional)
- `currentPageSize` (integer, optional)

### LifecycleManagerResourceActionExecutionHttp0

- `_id` (any, required)
- `modelId` (any, required)
- `modelName` (string, required) — The name of the model as it was when the action was run
- `instanceId` (any, required)
- `instanceName` (string, required) — The name of the instance as it was when the action was run
- `actionId` (any, required) — Identifier of the action that was run
- `actionName` (string, required) — The name of the action as it was when the action was run
- `jobId` (string, required, nullable) — Identifier of the job associated with the action
- `startTime` (string, required) — The time at which the action was started
- `endTime` (string, required, nullable) — The time at which the action ended
- `progress` (LifecycleManagerResourceActionExecutionHttpOneOf0Progress, required) — A sequence of key points in the action describing its overall progress
- `status` (enum, required) — A single string describing the current activity status of this action
  - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`
- `errors` (list of LifecycleManagerResourceActionExecutionHttpOneOf0ErrorsItems, required) — A list of any errors which occurred while the action was running
- `initiator` (any, required)
- `initiatorName` (string, required) — The name of the user or automation trigger that initiated the action
- `initialInstanceData` (LifecycleManagerResourceActionExecutionHttpOneOf0InitialInstanceData, required, nullable) — The data for the resource instance
- `finalInstanceData` (LifecycleManagerResourceActionExecutionHttpOneOf0FinalInstanceData, required, nullable) — The data for the resource instance
- `executionType` (enum, optional) — The type of execution action
  - Allowed values: `individual`, `parent`, `child`
- `actionType` (any, optional) — The type of the action

### LifecycleManagerResourceActionExecutionHttp1

- `_id` (any, required)
- `modelId` (any, required)
- `modelName` (string, required) — The name of the model as it was when the action was run
- `instanceId` (any, required)
- `instanceName` (string, required) — The name of the instance as it was when the action was run
- `actionId` (any, required) — Identifier of the action that was run
- `actionName` (string, required) — The name of the action as it was when the action was run
- `parentActionExecutionId` (any, required) — Identifier of the job associated with the action
- `jobId` (string, required, nullable) — Identifier of the job associated with the action
- `startTime` (string, required) — The time at which the action was started
- `endTime` (string, required, nullable) — The time at which the action ended
- `progress` (LifecycleManagerResourceActionExecutionHttpOneOf1Progress, required) — A sequence of key points in the action describing its overall progress
- `status` (enum, required) — A single string describing the current activity status of this action
  - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`
- `errors` (list of LifecycleManagerResourceActionExecutionHttpOneOf1ErrorsItems, required) — A list of any errors which occurred while the action was running
- `initiator` (any, required)
- `initiatorName` (string, required) — The name of the user or automation trigger that initiated the action
- `initialInstanceData` (LifecycleManagerResourceActionExecutionHttpOneOf1InitialInstanceData, required, nullable) — The data for the resource instance
- `finalInstanceData` (LifecycleManagerResourceActionExecutionHttpOneOf1FinalInstanceData, required, nullable) — The data for the resource instance
- `executionType` (enum, optional) — The type of execution action
  - Allowed values: `individual`, `parent`, `child`
- `actionType` (any, optional) — The type of the action
- `groupId` (string, optional, nullable) — Identifier of the group the bulk action was run against
- `groupName` (string, optional, nullable) — The name of the group the bulk action was run against

### LifecycleManagerResourceActionExecutionHttp2

- `_id` (any, required)
- `modelId` (any, required)
- `modelName` (string, required) — The name of the model as it was when the action was run
- `instanceIds` (list of any, required) — The IDs of the instances that are being acted upon
- `childStatuses` (LifecycleManagerResourceActionExecutionHttpOneOf2ChildStatuses, required) — An object mapping the current status of child action executions
- `actionId` (any, required) — Identifier of the action that was run
- `actionName` (string, required) — The name of the action as it was when the action was run
- `jobId` (string, required, nullable) — Identifier of the job associated with the action
- `startTime` (string, required) — The time at which the action was started
- `endTime` (string, required, nullable) — The time at which the action ended
- `progress` (LifecycleManagerResourceActionExecutionHttpOneOf2Progress, required) — A sequence of key points in the action describing its overall progress
- `status` (enum, required) — A single string describing the current activity status of this action
  - Allowed values: `running`, `error`, `complete`, `canceled`, `paused`
- `errors` (list of LifecycleManagerResourceActionExecutionHttpOneOf2ErrorsItems, required) — A list of any errors which occurred while the action was running
- `initiator` (LifecycleManagerResourceActionExecutionHttpOneOf2Initiator, required)
- `initiatorName` (string, required)
- `executionType` (enum, optional) — The type of execution action
  - Allowed values: `individual`, `parent`, `child`
- `actionType` (any, optional) — The type of the action
- `groupId` (string, optional, nullable) — Identifier of the group the bulk action was run against
- `groupName` (string, optional, nullable) — The name of the group the bulk action was run against
- `initialInstanceData` (LifecycleManagerResourceActionExecutionHttpOneOf2InitialInstanceData, optional, nullable) — The data for the resource instance
- `finalInstanceData` (LifecycleManagerResourceActionExecutionHttpOneOf2FinalInstanceData, optional, nullable) — The data for the resource instance

### LifecycleManagerResourceActionExecutionHttpOneOf0Progress

A sequence of key points in the action describing its overall progress

### LifecycleManagerResourceActionExecutionHttpOneOf0ErrorsItems

A record of an error which occurred while the action was running

- `message` (string, optional) — A human-readable message summarizing the issue
- `origin` (enum, optional) — Designates where the error came from
  - Allowed values: `preTransformation`, `workflow`, `postTransformation`, `finishAction`, `system`
- `timestamp` (string, optional) — An ISO 8601 date string
- `metadata` (any, optional) — Additional properties that help describe the issue
- `stepId` (string, optional) — A 4-digit hexadecimal id

### LifecycleManagerResourceActionExecutionHttpOneOf0InitialInstanceData

The data for the resource instance

### LifecycleManagerResourceActionExecutionHttpOneOf0FinalInstanceData

The data for the resource instance

### LifecycleManagerResourceActionExecutionHttpOneOf1Progress

A sequence of key points in the action describing its overall progress

### LifecycleManagerResourceActionExecutionHttpOneOf1ErrorsItems

A record of an error which occurred while the action was running

- `message` (string, optional) — A human-readable message summarizing the issue
- `origin` (enum, optional) — Designates where the error came from
  - Allowed values: `preTransformation`, `workflow`, `postTransformation`, `finishAction`, `system`
- `timestamp` (string, optional) — An ISO 8601 date string
- `metadata` (any, optional) — Additional properties that help describe the issue
- `stepId` (string, optional) — A 4-digit hexadecimal id

### LifecycleManagerResourceActionExecutionHttpOneOf1InitialInstanceData

The data for the resource instance

### LifecycleManagerResourceActionExecutionHttpOneOf1FinalInstanceData

The data for the resource instance

### LifecycleManagerResourceActionExecutionHttpOneOf2ChildStatuses

An object mapping the current status of child action executions

### LifecycleManagerResourceActionExecutionHttpOneOf2Progress

A sequence of key points in the action describing its overall progress

### LifecycleManagerResourceActionExecutionHttpOneOf2ErrorsItems

A record of an error which occurred while the action was running

- `message` (string, optional) — A human-readable message summarizing the issue
- `origin` (enum, optional) — Designates where the error came from
  - Allowed values: `preTransformation`, `workflow`, `postTransformation`, `finishAction`, `system`
- `timestamp` (string, optional) — An ISO 8601 date string
- `metadata` (any, optional) — Additional properties that help describe the issue
- `stepId` (string, optional) — A 4-digit hexadecimal id

### LifecycleManagerResourceActionExecutionHttpOneOf2Initiator

### LifecycleManagerResourceActionExecutionHttpOneOf2InitialInstanceData

The data for the resource instance

### LifecycleManagerResourceActionExecutionHttpOneOf2FinalInstanceData

The data for the resource instance

## Examples

**Response**

```json
{
  "data": [
    {
      "actionId": null,
      "actionName": "string",
      "actionType": null,
      "endTime": "2024-01-15T09:30:00Z",
      "errors": [
        {
          "message": "string",
          "metadata": null,
          "origin": "preTransformation",
          "stepId": "0a2f",
          "timestamp": "2024-01-15T09:30:00Z"
        }
      ],
      "executionType": "individual",
      "finalInstanceData": {},
      "initialInstanceData": {},
      "initiatorName": "string",
      "instanceName": "string",
      "jobId": "62a1f3d2ebedfc54e6e0065c",
      "modelName": "string",
      "progress": {},
      "startTime": "2024-01-15T09:30:00Z",
      "status": "running"
    }
  ],
  "metadata": {
    "skip": 1,
    "limit": 1,
    "total": 1,
    "nextPageSkip": 1,
    "previousPageSkip": 1,
    "currentPageSize": 1
  },
  "message": "Successfully created the requested item"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/lifecycle-manager/action-executions"

querystring = {"sort":"name"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/lifecycle-manager/action-executions?sort=name';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/lifecycle-manager/action-executions?sort=name"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/lifecycle-manager/action-executions?sort=name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/lifecycle-manager/action-executions?sort=name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/lifecycle-manager/action-executions?sort=name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/lifecycle-manager/action-executions?sort=name");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/action-executions?sort=name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```